Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
quotas
/
{quota_id}
Get Quota
curl --request GET \
  --url https://api.fireworks.ai/v1/accounts/{account_id}/quotas/{quota_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.fireworks.ai/v1/accounts/{account_id}/quotas/{quota_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fireworks.ai/v1/accounts/{account_id}/quotas/{quota_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "value": "<string>",
  "maxValue": "<string>",
  "usage": 123,
  "updateTime": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>

Path Parameters

account_id
string
required

The Account Id

quota_id
string
required

The Quota Id

Query Parameters

readMask
string

The fields to be returned in the response. If empty or "*", all fields will be returned.

Response

200 - application/json

A successful response.

name
string
read-only
value
string<int64>

The value of the quota being enforced. This may be lower than the max_value if the user manually lowers it.

maxValue
string<int64>

The maximum approved value.

usage
number<double>
read-only

The usage of the quota.

updateTime
string<date-time>
read-only

The update time for the quota.